<?php
# ***** BEGIN LICENSE BLOCK *****
# This is Visites, a plugin for DotClear. 
# Copyright (c) 2005 k-net. All rights reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****

$_menu['Plugins']->addItem(__('Visites'),'plugin.php?p=visites','index.php?pf=visites/icon.png',
		preg_match('/plugin.php\?p=visites(&.*)?$/',$_SERVER['REQUEST_URI']),
		$core->auth->check('usage,contentadmin',$core->blog->id));


$core->addBehavior('initWidgets',array('visitesBehaviors','initWidgets'));

class visitesBehaviors
{
	public static function initWidgets(&$widgets)
	{
		$counters = array();
		$counters[__('- Plain text -')] = 'text';
		$counters_dir = dirname(__FILE__).'/counters';
		$do = opendir($counters_dir);
		while ($dir = readdir($do)) {
			if ($dir != '.' && $dir != '..' && is_dir($counters_dir.'/'.$dir)) {
				$counters[$dir] = $dir;
			}
		}
		closedir($do);
		
		$digitnb = array('auto adjust' => 0, '2' => 2, '3' => 3, '4' => 4, '5' => 5, '6' => 6, '7' => 7, '8' => 8, '9' => 9);
		
		$widgets->create('visites',__('Visites'),array('tplVisites','visitesWidget'));
		$widgets->visites->setting('title',__('Title: (%CA for displayed pages count, %CS for session count, %CO for single visitors count)'),__('Statistics'));
		$widgets->visites->setting('text',__('Text:'),__('%CA clics'."\n".'%CS visites'."\n".'%CO visiteurs uniques'),'textarea');
		$widgets->visites->setting('dontescapehtml',__('Don\'t escape HTML in title and text'),0,'check');
		$widgets->visites->setting('nbdigits',__('Digit number:'),4,'combo',$digitnb);
		$widgets->visites->setting('countername',__('Counter'),'small','combo',$counters);
		$widgets->visites->setting('homeonly',__('Home page only'),0,'check');
	}
}

?>